如何安装Django for Python 3.x?

Modified on: Sat, 09 Jun 2018 23:50:23 +0800

我用这个命令安装了Django:

sudo apt-get install python-django

它安装了1.5.4-1ubuntu1版本。 Django文档说,从版本1.5开始,Django支持Python 3.然而,当我运行python 3解释器并尝试导入Django时,它说没有这样的模块。我试着寻找一个Django的python3版本,但是没有这样的包存在。我怎样才能让django在python3上工作?我更喜欢使用ubuntu软件包而不是手动安装。

作者:Jon

最佳答案

我想通过pip来解决这个问题。结果我需要pip3

sudo pip3 install Django

做了这个伎俩。

您可能需要通过以下方式获取pip3:

sudo apt-get install python3-pip

相关问答

添加新评论